Debian Bug report logs - #643470
isc-dhcp: FTBFS: comapi.c:425:15: error: variable 'status' set but not used [-Werror=unused-but-set-variable]

version graph

Package: src:isc-dhcp; Maintainer for src:isc-dhcp is Debian ISC DHCP maintainers <pkg-dhcp-devel@lists.alioth.debian.org>;

Reported by: Didier Raboud <odyx@debian.org>

Date: Tue, 27 Sep 2011 12:48:01 UTC

Severity: serious

Tags: patch, sid, wheezy

Found in version isc-dhcp/4.1.1-P1-17

Fixed in version isc-dhcp/4.2.2-2

Done: Andrew Pollock <apollock@debian.org>

Bug is archived. No further changes may be made.

Forwarded to dhcp-bugs@isc.org

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian ISC DHCP maintainers <pkg-dhcp-devel@lists.alioth.debian.org>:
Bug#643470; Package src:isc-dhcp. (Tue, 27 Sep 2011 12:48:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Didier Raboud <odyx@debian.org>:
New Bug report received and forwarded. Copy sent to Debian ISC DHCP maintainers <pkg-dhcp-devel@lists.alioth.debian.org>. (Tue, 27 Sep 2011 12:48:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Didier Raboud <odyx@debian.org>
To: submit@bugs.debian.org
Subject: isc-dhcp: FTBFS: comapi.c:425:15: error: variable 'status' set but not used [-Werror=unused-but-set-variable]
Date: Tue, 27 Sep 2011 14:41:57 +0200
Source: isc-dhcp
Version: 4.1.1-P1-17
Severity: serious
Tags: wheezy sid
User: debian-qa@lists.debian.org
Usertags: qa-ftbfs-20110923 qa-ftbfs
Justification: FTBFS on amd64

Hi,

During a rebuild of all packages in sid, your package failed to build on
amd64.

Relevant part:
> gcc -DHAVE_CONFIG_H -I. -I../includes  -I.. -DLOCALSTATEDIR='"/var"'   -g -O2  -Wall -Werror -fno-strict-aliasing -MT comapi.o -MD -MP -MF .deps/comapi.Tpo -c -o comapi.o comapi.c
> comapi.c: In function 'dhcp_group_remove':
> comapi.c:425:15: error: variable 'status' set but not used [-Werror=unused-but-set-variable]
> comapi.c: In function 'dhcp_control_signal_handler':
> comapi.c:514:25: error: variable 'control' set but not used [-Werror=unused-but-set-variable]
> comapi.c: In function 'dhcp_subnet_set_value':
> comapi.c:615:17: error: variable 'subnet' set but not used [-Werror=unused-but-set-variable]
> comapi.c: In function 'dhcp_subnet_get_value':
> comapi.c:640:17: error: variable 'subnet' set but not used [-Werror=unused-but-set-variable]
> comapi.c: In function 'dhcp_subnet_destroy':
> comapi.c:661:17: error: variable 'subnet' set but not used [-Werror=unused-but-set-variable]
> comapi.c: In function 'dhcp_subnet_signal_handler':
> comapi.c:688:17: error: variable 'subnet' set but not used [-Werror=unused-but-set-variable]
> comapi.c: In function 'dhcp_subnet_stuff_values':
> comapi.c:714:17: error: variable 'subnet' set but not used [-Werror=unused-but-set-variable]
> comapi.c: In function 'dhcp_shared_network_set_value':
> comapi.c:764:25: error: variable 'shared_network' set but not used [-Werror=unused-but-set-variable]
> comapi.c: In function 'dhcp_shared_network_get_value':
> comapi.c:790:25: error: variable 'shared_network' set but not used [-Werror=unused-but-set-variable]
> comapi.c: In function 'dhcp_shared_network_destroy':
> comapi.c:812:25: error: variable 'shared_network' set but not used [-Werror=unused-but-set-variable]
> comapi.c: In function 'dhcp_shared_network_signal_handler':
> comapi.c:852:25: error: variable 'shared_network' set but not used [-Werror=unused-but-set-variable]
> comapi.c: In function 'dhcp_shared_network_stuff_values':
> comapi.c:878:25: error: variable 'shared_network' set but not used [-Werror=unused-but-set-variable]
> cc1: all warnings being treated as errors
> 
> make[2]: *** [comapi.o] Error 1

The full build log is available from:
   http://people.debian.org/~lucas/logs/2011/09/23/isc-dhcp_4.1.1-P1-17_lsid64.buildlog

A list of current common problems and possible solutions is available at 
http://wiki.debian.org/qa.debian.org/FTBFS . You're welcome to contribute!

About the archive rebuild: The rebuild was done on about 50 AMD64 nodes
of the Grid'5000 platform, using a clean chroot.  Internet was not
accessible from the build systems.




Information forwarded to debian-bugs-dist@lists.debian.org, Debian ISC DHCP maintainers <pkg-dhcp-devel@lists.alioth.debian.org>:
Bug#643470; Package src:isc-dhcp. (Sun, 23 Oct 2011 19:21:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Gilbert <michael.s.gilbert@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian ISC DHCP maintainers <pkg-dhcp-devel@lists.alioth.debian.org>. (Sun, 23 Oct 2011 19:21:06 GMT) Full text and rfc822 format available.

Message #10 received at 643470@bugs.debian.org (full text, mbox):

From: Michael Gilbert <michael.s.gilbert@gmail.com>
To: 643470@bugs.debian.org, control <control@bugs.debian.org>
Subject: re: isc-dhcp: FTBFS: comapi.c:425:15: error: variable 'status' set but not used [-Werror=unused-but-set-variable]
Date: Sun, 23 Oct 2011 15:17:58 -0400
[Message part 1 (text/plain, inline)]
tag 643470 patch
thanks

I've created a patch that addresses all of the unused-but-set-variable
issues.  See attached.

Best wishes,
Mike
[isc-dhcp.diff (text/x-patch, attachment)]

Added tag(s) patch. Request was from Michael Gilbert <michael.s.gilbert@gmail.com> to control@bugs.debian.org. (Sun, 23 Oct 2011 19:21:08 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian ISC DHCP maintainers <pkg-dhcp-devel@lists.alioth.debian.org>:
Bug#643470; Package src:isc-dhcp. (Tue, 25 Oct 2011 06:51:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andrew Pollock <apollock@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian ISC DHCP maintainers <pkg-dhcp-devel@lists.alioth.debian.org>. (Tue, 25 Oct 2011 06:51:03 GMT) Full text and rfc822 format available.

Message #17 received at 643470@bugs.debian.org (full text, mbox):

From: Andrew Pollock <apollock@debian.org>
To: dhcp-bugs@isc.org
Cc: Didier Raboud <odyx@debian.org>, 643470-forwarded@bugs.debian.org, 643470@bugs.debian.org
Subject: 4.2.2 fails to build with -Werror=unused-but-set-variable
Date: Mon, 24 Oct 2011 23:35:00 -0700
Hello,

Due to a rather fabulous chain of events, I can't build 4.2.2 with GCC 4.6.1
(which is what we're using in Debian to build packages in unstable)

In a nutshell, it looks like configure.ac completely clobbers CFLAGS under
some circumstances, and adds the -Werror flag. The -Werror flag now seems to
imply -Werror=unused-but-set-variable, and well, there's plenty of that in
the DHCP source :-)

Michael Gilbert was kind enough to provide a cleanup patch to fix 4.2.2, but
it's going to be a nightmare to maintain in Debian. Please consider using it
to clean up your codebase.

Please also consider revising the logic in configure.ac. I'm about to trial
a build with that CFLAGS clobbering logic patched out to see if I can get
the package to build.

Please maintain the Cc line to keep our bug tracking system in the loop

----- Forwarded message from Michael Gilbert <michael.s.gilbert@gmail.com> -----

Date: Sun, 23 Oct 2011 15:17:58 -0400
From: Michael Gilbert <michael.s.gilbert@gmail.com>
To: 643470@bugs.debian.org, control <control@bugs.debian.org>
Subject: Bug#643470: isc-dhcp: FTBFS: comapi.c:425:15: error: variable 'status' set
	but not used [-Werror=unused-but-set-variable]

tag 643470 patch
thanks

I've created a patch that addresses all of the unused-but-set-variable
issues.  See attached.

Best wishes,
Mike

--- isc-dhcp-4.2.2.orig/dst/prandom.c
+++ isc-dhcp-4.2.2/dst/prandom.c
@@ -694,7 +694,6 @@
 {
 	int dir = 0, b;
 	int bytes, n, cmd = 0, dig = 0;
-	int start =0;
 /* 
  * now get the initial seed to put into the quick random function from 
  * the address of the work structure 
@@ -709,7 +708,6 @@
 /* pick a random number in the range of 0..7 based on that random number
  * perform some operations that yield random data
  */
-		start = work->filled;
 		n = (dst_s_quick_random(bytes) >> DST_SHIFT) & 0x07;
 		switch (n) {
 		    case 0:
only in patch2:
unchanged:
--- isc-dhcp-4.2.2.orig/client/clparse.c
+++ isc-dhcp-4.2.2/client/clparse.c
@@ -59,7 +59,9 @@
 {
 	struct client_config *config;
 	struct interface_info *ip;
-	struct parse *parse;
+#ifdef LATER
+	struct parse *parse = NULL;
+#endif
 	isc_result_t status;
 	unsigned code;
 
@@ -159,7 +161,6 @@
 					(struct interface_info *)0,
 					&top_level_config);
 
-	parse = NULL;
 	if (status != ISC_R_SUCCESS) {
 		;
 #ifdef LATER
only in patch2:
unchanged:
--- isc-dhcp-4.2.2.orig/client/dhclient.c
+++ isc-dhcp-4.2.2/client/dhclient.c
@@ -1818,7 +1818,6 @@
 {
 	struct client_state *client = cpp;
 
-	int result;
 	int interval;
 	int increase = 1;
 	struct timeval tv;
@@ -1901,7 +1900,7 @@
 	      ntohs (sockaddr_broadcast.sin_port), (long)(client -> interval));
 
 	/* Send out a packet. */
-	result = send_packet (client -> interface, (struct packet *)0,
+	send_packet (client -> interface, (struct packet *)0,
 			      &client -> packet,
 			      client -> packet_length,
 			      inaddr_any, &sockaddr_broadcast,
@@ -2037,7 +2036,6 @@
 {
 	struct client_state *client = cpp;
 
-	int result;
 	int interval;
 	struct sockaddr_in destination;
 	struct in_addr from;
@@ -2169,7 +2167,7 @@
 
 	if (destination.sin_addr.s_addr != INADDR_BROADCAST &&
 	    fallback_interface)
-		result = send_packet (fallback_interface,
+		send_packet (fallback_interface,
 				      (struct packet *)0,
 				      &client -> packet,
 				      client -> packet_length,
@@ -2177,7 +2175,7 @@
 				      (struct hardware *)0);
 	else
 		/* Send out a packet. */
-		result = send_packet (client -> interface, (struct packet *)0,
+		send_packet (client -> interface, (struct packet *)0,
 				      &client -> packet,
 				      client -> packet_length,
 				      from, &destination,
@@ -2194,15 +2192,13 @@
 {
 	struct client_state *client = cpp;
 
-	int result;
-
 	log_info ("DHCPDECLINE on %s to %s port %d",
 	      client -> name ? client -> name : client -> interface -> name,
 	      inet_ntoa (sockaddr_broadcast.sin_addr),
 	      ntohs (sockaddr_broadcast.sin_port));
 
 	/* Send out a packet. */
-	result = send_packet (client -> interface, (struct packet *)0,
+	send_packet (client -> interface, (struct packet *)0,
 			      &client -> packet,
 			      client -> packet_length,
 			      inaddr_any, &sockaddr_broadcast,
@@ -2214,7 +2210,6 @@
 {
 	struct client_state *client = cpp;
 
-	int result;
 	struct sockaddr_in destination;
 	struct in_addr from;
 
@@ -2245,7 +2240,7 @@
 	      ntohs (destination.sin_port));
 
 	if (fallback_interface)
-		result = send_packet (fallback_interface,
+		send_packet (fallback_interface,
 				      (struct packet *)0,
 				      &client -> packet,
 				      client -> packet_length,
@@ -2253,7 +2248,7 @@
 				      (struct hardware *)0);
 	else
 		/* Send out a packet. */
-		result = send_packet (client -> interface, (struct packet *)0,
+		send_packet (client -> interface, (struct packet *)0,
 				      &client -> packet,
 				      client -> packet_length,
 				      from, &destination,
only in patch2:
unchanged:
--- isc-dhcp-4.2.2.orig/common/parse.c
+++ isc-dhcp-4.2.2/common/parse.c
@@ -903,7 +903,7 @@
 	struct parse *cfile;
 {
 	int guess;
-	int tzoff, wday, year, mon, mday, hour, min, sec;
+	int tzoff, year, mon, mday, hour, min, sec;
 	const char *val;
 	enum dhcp_token token;
 	static int months[11] = { 31, 59, 90, 120, 151, 181,
@@ -941,7 +941,6 @@
 		return((TIME)0);
 	}
 	token = next_token(&val, NULL, cfile); /* consume day of week */
-	wday = atoi(val);
 
 	/* Year... */
 	token = peek_token(&val, NULL, cfile);
@@ -3329,11 +3328,10 @@
 int parse_boolean (cfile)
 	struct parse *cfile;
 {
-	enum dhcp_token token;
 	const char *val;
 	int rv;
 
-	token = next_token (&val, (unsigned *)0, cfile);
+	next_token (&val, (unsigned *)0, cfile);
 	if (!strcasecmp (val, "true")
 	    || !strcasecmp (val, "on"))
 		rv = 1;
only in patch2:
unchanged:
--- isc-dhcp-4.2.2.orig/common/socket.c
+++ isc-dhcp-4.2.2/common/socket.c
@@ -987,21 +987,26 @@
 	char buf [1540];
 	struct sockaddr_in from;
 	SOCKLEN_T flen = sizeof from;
+#if defined (DEBUG)
 	int status;
+#endif
 	struct interface_info *interface;
 
 	if (object -> type != dhcp_type_interface)
 		return DHCP_R_INVALIDARG;
 	interface = (struct interface_info *)object;
 
+#if defined (DEBUG)
 	status = recvfrom (interface -> wfdesc, buf, sizeof buf, 0,
 			   (struct sockaddr *)&from, &flen);
-#if defined (DEBUG)
 	/* Only report fallback discard errors if we're debugging. */
 	if (status < 0) {
 		log_error ("fallback_discard: %m");
 		return ISC_R_UNEXPECTED;
 	}
+#else
+	recvfrom (interface -> wfdesc, buf, sizeof buf, 0,
+			   (struct sockaddr *)&from, &flen);
 #endif
 	return ISC_R_SUCCESS;
 }
only in patch2:
unchanged:
--- isc-dhcp-4.2.2.orig/common/print.c
+++ isc-dhcp-4.2.2/common/print.c
@@ -479,10 +479,9 @@
 {
 	static char dq_buf [DQLEN + 1];
 	int i;
-	char *s, *last;
+	char *s;
 
 	s = &dq_buf [0];
-	last = s;
 	
 	i = 0;
 
only in patch2:
unchanged:
--- isc-dhcp-4.2.2.orig/common/comapi.c
+++ isc-dhcp-4.2.2/common/comapi.c
@@ -422,7 +422,6 @@
 				omapi_object_t *id)
 {
 	struct group_object *group;
-	isc_result_t status;
 	if (lp -> type != dhcp_type_group)
 		return DHCP_R_INVALIDARG;
 	group = (struct group_object *)lp;
@@ -433,7 +432,7 @@
 			return ISC_R_IOERROR;
 	}
 
-	status = dhcp_group_destroy ((omapi_object_t *)group, MDL);
+	dhcp_group_destroy ((omapi_object_t *)group, MDL);
 
 	return ISC_R_SUCCESS;
 }
@@ -511,12 +510,10 @@
 isc_result_t dhcp_control_signal_handler (omapi_object_t *h,
 					const char *name, va_list ap)
 {
-	dhcp_control_object_t *control;
 	isc_result_t status;
 
 	if (h -> type != dhcp_type_control)
 		return DHCP_R_INVALIDARG;
-	control = (dhcp_control_object_t *)h;
 
 	/* Try to find some inner object that can take the value. */
 	if (h -> inner && h -> inner -> type -> get_value) {
@@ -612,12 +609,10 @@
 				     omapi_data_string_t *name,
 				     omapi_typed_data_t *value)
 {
-	struct subnet *subnet;
 	isc_result_t status;
 
 	if (h -> type != dhcp_type_subnet)
 		return DHCP_R_INVALIDARG;
-	subnet = (struct subnet *)h;
 
 	/* No values to set yet. */
 
@@ -637,12 +632,10 @@
 				    omapi_data_string_t *name,
 				    omapi_value_t **value)
 {
-	struct subnet *subnet;
 	isc_result_t status;
 
 	if (h -> type != dhcp_type_subnet)
 		return DHCP_R_INVALIDARG;
-	subnet = (struct subnet *)h;
 
 	/* No values to get yet. */
 
@@ -658,11 +651,9 @@
 
 isc_result_t dhcp_subnet_destroy (omapi_object_t *h, const char *file, int line)
 {
-	struct subnet *subnet;
 
 	if (h -> type != dhcp_type_subnet)
 		return DHCP_R_INVALIDARG;
-	subnet = (struct subnet *)h;
 
 #if defined (DEBUG_MEMORY_LEAKAGE) || \
 		defined (DEBUG_MEMORY_LEAKAGE_ON_EXIT)
@@ -685,13 +676,11 @@
 isc_result_t dhcp_subnet_signal_handler (omapi_object_t *h,
 					 const char *name, va_list ap)
 {
-	struct subnet *subnet;
 	isc_result_t status;
 	int updatep = 0;
 
 	if (h -> type != dhcp_type_subnet)
 		return DHCP_R_INVALIDARG;
-	subnet = (struct subnet *)h;
 
 	/* Can't write subnets yet. */
 
@@ -711,12 +700,10 @@
 				       omapi_object_t *id,
 				       omapi_object_t *h)
 {
-	struct subnet *subnet;
 	isc_result_t status;
 
 	if (h -> type != dhcp_type_subnet)
 		return DHCP_R_INVALIDARG;
-	subnet = (struct subnet *)h;
 
 	/* Can't stuff subnet values yet. */
 
@@ -761,12 +748,10 @@
 					     omapi_data_string_t *name,
 					     omapi_typed_data_t *value)
 {
-	struct shared_network *shared_network;
 	isc_result_t status;
 
 	if (h -> type != dhcp_type_shared_network)
 		return DHCP_R_INVALIDARG;
-	shared_network = (struct shared_network *)h;
 
 	/* No values to set yet. */
 
@@ -787,12 +772,10 @@
 					    omapi_data_string_t *name,
 					    omapi_value_t **value)
 {
-	struct shared_network *shared_network;
 	isc_result_t status;
 
 	if (h -> type != dhcp_type_shared_network)
 		return DHCP_R_INVALIDARG;
-	shared_network = (struct shared_network *)h;
 
 	/* No values to get yet. */
 
@@ -809,14 +792,14 @@
 isc_result_t dhcp_shared_network_destroy (omapi_object_t *h,
 					  const char *file, int line)
 {
+#if defined (DEBUG_MEMORY_LEAKAGE) || \
+		defined (DEBUG_MEMORY_LEAKAGE_ON_EXIT)
 	struct shared_network *shared_network;
 
 	if (h -> type != dhcp_type_shared_network)
 		return DHCP_R_INVALIDARG;
 	shared_network = (struct shared_network *)h;
 
-#if defined (DEBUG_MEMORY_LEAKAGE) || \
-		defined (DEBUG_MEMORY_LEAKAGE_ON_EXIT)
 	if (shared_network -> next)
 		shared_network_dereference (&shared_network -> next,
 					    file, line);
@@ -849,13 +832,11 @@
 						 const char *name,
 						 va_list ap)
 {
-	struct shared_network *shared_network;
 	isc_result_t status;
 	int updatep = 0;
 
 	if (h -> type != dhcp_type_shared_network)
 		return DHCP_R_INVALIDARG;
-	shared_network = (struct shared_network *)h;
 
 	/* Can't write shared_networks yet. */
 
@@ -875,12 +856,10 @@
 					       omapi_object_t *id,
 					       omapi_object_t *h)
 {
-	struct shared_network *shared_network;
 	isc_result_t status;
 
 	if (h -> type != dhcp_type_shared_network)
 		return DHCP_R_INVALIDARG;
-	shared_network = (struct shared_network *)h;
 
 	/* Can't stuff shared_network values yet. */
 
only in patch2:
unchanged:
--- isc-dhcp-4.2.2.orig/common/options.c
+++ isc-dhcp-4.2.2/common/options.c
@@ -2249,7 +2249,6 @@
 	struct buffer *lbp = NULL;
 	struct option *option = NULL;
 	struct option_cache *op;
-	int status = 1;
 
 	/* Code sizes of 8, 16, and 32 bits are allowed. */
 	switch(universe->tag_size) {
@@ -2300,7 +2299,6 @@
 	if (!option_cache_allocate (opp, MDL)) {
 		log_error("No memory for option code %s.%s.",
 			  universe->name, option->name);
-		status = 0;
 		goto cleanup;
 	}
 
@@ -2315,7 +2313,6 @@
 		if (!buffer_allocate (&lbp, length + terminatep, MDL)) {
 			log_error ("no memory for option buffer.");
 
-			status = 0;
 			goto cleanup;
 		}
 		memcpy (lbp -> data, buffer, length + terminatep);
only in patch2:
unchanged:
--- isc-dhcp-4.2.2.orig/omapip/handle.c
+++ isc-dhcp-4.2.2/omapip/handle.c
@@ -252,7 +252,6 @@
 					    omapi_handle_table_t *table,
 					    int op)
 {
-	omapi_handle_table_t *inner;
 	omapi_handle_t scale, index;
 
 	if (!table || table->first > h || table->limit <= h)
@@ -282,7 +281,6 @@
 	   handle must be the subtable of this table whose index into this
 	   table's array of children is the handle divided by the scale. */
 	index = (h - table->first) / scale;
-	inner = table->children[index].table;
 
 	return(omapi_handle_lookup_in(o, h, table->children[index].table, op));
 }
only in patch2:
unchanged:
--- isc-dhcp-4.2.2.orig/omapip/listener.c
+++ isc-dhcp-4.2.2/omapip/listener.c
@@ -352,7 +352,6 @@
 	u_int16_t *remote_port;
 	u_int16_t *local_port;
 	omapi_connection_object_t *obj;
-	isc_result_t status;
 	struct sockaddr_in remote_addr;
 
 	addr = (struct in_addr *)buf;
@@ -367,8 +366,7 @@
 				   omapi_listener_object_t, lp) {
 		if (lp -> address.sin_port == *local_port) {
 			obj = (omapi_connection_object_t *)0;
-			status = omapi_listener_connect (&obj,
-							 lp, 0, &remote_addr);
+			omapi_listener_connect (&obj, lp, 0, &remote_addr);
 			omapi_listener_dereference (&lp, MDL);
 			return;
 		}
only in patch2:
unchanged:
--- isc-dhcp-4.2.2.orig/server/omapi.c
+++ isc-dhcp-4.2.2/server/omapi.c
@@ -480,12 +480,10 @@
 isc_result_t dhcp_lease_signal_handler (omapi_object_t *h,
 					const char *name, va_list ap)
 {
-	struct lease *lease;
 	isc_result_t status;
 
 	if (h -> type != dhcp_type_lease)
 		return DHCP_R_INVALIDARG;
-	lease = (struct lease *)h;
 
 	if (!strcmp (name, "updated"))
 		return ISC_R_SUCCESS;
@@ -1175,14 +1173,17 @@
 
 isc_result_t dhcp_host_destroy (omapi_object_t *h, const char *file, int line)
 {
+#if defined (DEBUG_MEMORY_LEAKAGE) || \
+		defined (DEBUG_MEMORY_LEAKAGE_ON_EXIT)
 	struct host_decl *host;
+#endif
 
 	if (h -> type != dhcp_type_host)
 		return DHCP_R_INVALIDARG;
-	host = (struct host_decl *)h;
 
 #if defined (DEBUG_MEMORY_LEAKAGE) || \
 		defined (DEBUG_MEMORY_LEAKAGE_ON_EXIT)
+	host = (struct host_decl *)h;
 	if (host -> n_ipaddr)
 		host_dereference (&host -> n_ipaddr, file, line);
 	if (host -> n_dynamic)
@@ -1594,12 +1595,10 @@
 				   omapi_data_string_t *name,
 				   omapi_typed_data_t *value)
 {
-	struct pool *pool;
 	isc_result_t status;
 
 	if (h -> type != dhcp_type_pool)
 		return DHCP_R_INVALIDARG;
-	pool = (struct pool *)h;
 
 	/* No values to set yet. */
 
@@ -1619,12 +1618,10 @@
 				  omapi_data_string_t *name,
 				  omapi_value_t **value)
 {
-	struct pool *pool;
 	isc_result_t status;
 
 	if (h -> type != dhcp_type_pool)
 		return DHCP_R_INVALIDARG;
-	pool = (struct pool *)h;
 
 	/* No values to get yet. */
 
@@ -1640,18 +1637,18 @@
 
 isc_result_t dhcp_pool_destroy (omapi_object_t *h, const char *file, int line)
 {
-	struct pool *pool;
 #if defined (DEBUG_MEMORY_LEAKAGE) || \
 		defined (DEBUG_MEMORY_LEAKAGE_ON_EXIT)
+	struct pool *pool;
 	struct permit *pc, *pn;
 #endif
 
 	if (h -> type != dhcp_type_pool)
 		return DHCP_R_INVALIDARG;
-	pool = (struct pool *)h;
 
 #if defined (DEBUG_MEMORY_LEAKAGE) || \
 		defined (DEBUG_MEMORY_LEAKAGE_ON_EXIT)
+	pool = (struct pool *)h;
 	if (pool -> next)
 		pool_dereference (&pool -> next, file, line);
 	if (pool -> group)
@@ -1692,13 +1689,11 @@
 isc_result_t dhcp_pool_signal_handler (omapi_object_t *h,
 				       const char *name, va_list ap)
 {
-	struct pool *pool;
 	isc_result_t status;
 	int updatep = 0;
 
 	if (h -> type != dhcp_type_pool)
 		return DHCP_R_INVALIDARG;
-	pool = (struct pool *)h;
 
 	/* Can't write pools yet. */
 
@@ -1718,12 +1713,10 @@
 				     omapi_object_t *id,
 				     omapi_object_t *h)
 {
-	struct pool *pool;
 	isc_result_t status;
 
 	if (h -> type != dhcp_type_pool)
 		return DHCP_R_INVALIDARG;
-	pool = (struct pool *)h;
 
 	/* Can't stuff pool values yet. */
 
@@ -1951,14 +1944,17 @@
 
 isc_result_t dhcp_class_destroy (omapi_object_t *h, const char *file, int line)
 {
+#if defined (DEBUG_MEMORY_LEAKAGE) || \
+		defined (DEBUG_MEMORY_LEAKAGE_ON_EXIT)
 	struct class *class;
+#endif
 
 	if (h -> type != dhcp_type_class && h -> type != dhcp_type_subclass)
 		return DHCP_R_INVALIDARG;
-	class = (struct class *)h;
 
 #if defined (DEBUG_MEMORY_LEAKAGE) || \
 		defined (DEBUG_MEMORY_LEAKAGE_ON_EXIT)
+	class = (struct class *)h;
 	if (class -> nic)
 		class_dereference (&class -> nic, file, line);
 	if (class -> superclass)
@@ -2083,12 +2079,10 @@
 				      omapi_object_t *id,
 				      omapi_object_t *h)
 {
-	struct class *class;
 	isc_result_t status;
 
 	if (h -> type != dhcp_type_class)
 		return DHCP_R_INVALIDARG;
-	class = (struct class *)h;
 
 	/* Can't stuff class values yet. */
 
only in patch2:
unchanged:
--- isc-dhcp-4.2.2.orig/server/failover.c
+++ isc-dhcp-4.2.2/server/failover.c
@@ -2412,7 +2412,6 @@
 	struct shared_network *s;
 	struct pool *p;
 	binding_state_t peer_lease_state;
-	binding_state_t my_lease_state;
 	struct lease **lq;
 	int (*log_func)(const char *, ...);
 	const char *result, *reqlog;
@@ -2436,12 +2435,10 @@
 		if (p->failover_peer->i_am == primary) {
 			lts = (p->free_leases - p->backup_leases) / 2;
 			peer_lease_state = FTS_BACKUP;
-			my_lease_state = FTS_FREE;
 			lq = &p->free;
 		} else {
 			lts = (p->backup_leases - p->free_leases) / 2;
 			peer_lease_state = FTS_FREE;
-			my_lease_state = FTS_BACKUP;
 			lq = &p->backup;
 		}
 
@@ -3258,12 +3255,10 @@
 					omapi_object_t *h)
 {
 	dhcp_failover_state_t *s;
-	omapi_connection_object_t *conn;
 	isc_result_t status;
 
 	if (c -> type != omapi_type_connection)
 		return DHCP_R_INVALIDARG;
-	conn = (omapi_connection_object_t *)c;
 
 	if (h -> type != dhcp_type_failover_state)
 		return DHCP_R_INVALIDARG;
@@ -4271,10 +4266,10 @@
 {
 	dhcp_failover_state_t *state = vstate;
 	dhcp_failover_link_t *link;
-	isc_result_t status;
 
 #if defined(DEBUG_FAILOVER_MESSAGES) && \
     defined(DEBUG_FAILOVER_CONTACT_MESSAGES)
+	isc_result_t status;
 	char obuf [64];
 	unsigned obufix = 0;
 
@@ -4293,19 +4288,23 @@
 	    link -> outer -> type != omapi_type_connection)
 		return;
 
+#if defined(DEBUG_FAILOVER_MESSAGES) && \
+    defined(DEBUG_FAILOVER_CONTACT_MESSAGES)
 	status = (dhcp_failover_put_message
 		  (link, link -> outer,
 		   FTM_CONTACT, link->xid++,
 		   (failover_option_t *)0));
-
-#if defined(DEBUG_FAILOVER_MESSAGES) && \
-    defined(DEBUG_FAILOVER_CONTACT_MESSAGES)
 	if (status != ISC_R_SUCCESS)
 		failover_print(obuf, &obufix, sizeof(obuf), " (failed)");
 	failover_print(obuf, &obufix, sizeof(obuf), ")");
 	if (obufix) {
 		log_debug ("%s", obuf);
 	}
+#else
+	(dhcp_failover_put_message
+		  (link, link -> outer,
+		   FTM_CONTACT, link->xid++,
+		   (failover_option_t *)0));
 #endif
 	return;
 }
@@ -4313,9 +4312,9 @@
 isc_result_t dhcp_failover_send_state (dhcp_failover_state_t *state)
 {
 	dhcp_failover_link_t *link;
-	isc_result_t status;
 
 #if defined (DEBUG_FAILOVER_MESSAGES)	
+	isc_result_t status;
 	char obuf [64];
 	unsigned obufix = 0;
 	
@@ -4333,6 +4332,7 @@
 	    link -> outer -> type != omapi_type_connection)
 		return DHCP_R_INVALIDARG;
 
+#if defined (DEBUG_FAILOVER_MESSAGES)
 	status = (dhcp_failover_put_message
 		  (link, link -> outer,
 		   FTM_STATE, link->xid++,
@@ -4346,14 +4346,26 @@
 		     ? FTF_SERVER_STARTUP : 0)),
 		   dhcp_failover_make_option (FTO_STOS, FMA, state -> me.stos),
 		   (failover_option_t *)0));
-
-#if defined (DEBUG_FAILOVER_MESSAGES)
 	if (status != ISC_R_SUCCESS)
 		failover_print (FMA, " (failed)");
 	failover_print (FMA, ")");
 	if (obufix) {
 		log_debug ("%s", obuf);
 	}
+#else
+	dhcp_failover_put_message
+		  (link, link -> outer,
+		   FTM_STATE, link->xid++,
+		   dhcp_failover_make_option (FTO_SERVER_STATE, FMA,
+					      (state -> me.state == startup
+					       ? state -> saved_state
+					       : state -> me.state)),
+		   dhcp_failover_make_option
+		   (FTO_SERVER_FLAGS, FMA,
+		    (state -> service_state == service_startup
+		     ? FTF_SERVER_STARTUP : 0)),
+		   dhcp_failover_make_option (FTO_STOS, FMA, state -> me.stos),
+		   (failover_option_t *)0);
 #endif
 	return ISC_R_SUCCESS;
 }
@@ -4490,7 +4502,6 @@
 					    const char *message)
 {
 	dhcp_failover_link_t *link;
-	dhcp_failover_state_t *state;
 	isc_result_t status;
 #if defined (DEBUG_FAILOVER_MESSAGES)	
 	char obuf [64];
@@ -4505,7 +4516,6 @@
 	if (!l || l -> type != dhcp_type_failover_link)
 		return DHCP_R_INVALIDARG;
 	link = (dhcp_failover_link_t *)l;
-	state = link -> state_object;
 	if (!l -> outer || l -> outer -> type != omapi_type_connection)
 		return DHCP_R_INVALIDARG;
 
only in patch2:
unchanged:
--- isc-dhcp-4.2.2.orig/server/dhcp.c
+++ isc-dhcp-4.2.2/server/dhcp.c
@@ -419,7 +419,6 @@
 #if defined (FAILOVER_PROTOCOL)
 	dhcp_failover_state_t *peer;
 #endif
-	int have_server_identifier = 0;
 	int have_requested_addr = 0;
 
 	oc = lookup_option (&dhcp_universe, packet -> options,
@@ -473,7 +472,6 @@
 		 * safe.
 		 */
 		sprintf (smbuf, " (%s)", piaddr (sip));
-		have_server_identifier = 1;
 	} else
 		smbuf [0] = 0;
 
@@ -1328,7 +1326,6 @@
 {
 	struct sockaddr_in to;
 	struct in_addr from;
-	int result;
 	struct dhcp_packet raw;
 	unsigned char nak = DHCPNAK;
 	struct packet outgoing;
@@ -1461,7 +1458,7 @@
 			to.sin_port = remote_port; /* for testing. */
 
 		if (fallback_interface) {
-			result = send_packet(fallback_interface, packet, &raw,
+			send_packet(fallback_interface, packet, &raw,
 					     outgoing.packet_length, from, &to,
 					     NULL);
 			return;
@@ -1472,7 +1469,7 @@
 	}
 
 	errno = 0;
-	result = send_packet(packet->interface, packet, &raw,
+	send_packet(packet->interface, packet, &raw,
 			     outgoing.packet_length, from, &to, NULL);
 }
 
@@ -3020,7 +3017,6 @@
 	struct sockaddr_in to;
 	struct in_addr from;
 	struct hardware hto;
-	int result;
 	struct lease_state *state = lease -> state;
 	int nulltp, bootpp, unicastp = 1;
 	struct data_string d1;
@@ -3164,7 +3160,7 @@
 			to.sin_port = remote_port; /* For debugging. */
 
 		if (fallback_interface) {
-			result = send_packet (fallback_interface,
+			send_packet (fallback_interface,
 					      (struct packet *)0,
 					      &raw, packet_length,
 					      raw.siaddr, &to,
@@ -3197,7 +3193,7 @@
 		to.sin_port = remote_port;
 
 		if (fallback_interface) {
-			result = send_packet (fallback_interface,
+			send_packet (fallback_interface,
 					      (struct packet *)0,
 					      &raw, packet_length,
 					      raw.siaddr, &to,
@@ -3226,7 +3222,7 @@
 
 	memcpy (&from, state -> from.iabuf, sizeof from);
 
-	result = send_packet (state -> ip,
+	send_packet (state -> ip,
 			      (struct packet *)0, &raw, packet_length,
 			      from, &to,
 			      unicastp ? &hto : (struct hardware *)0);
only in patch2:
unchanged:
--- isc-dhcp-4.2.2.orig/server/ddns.c
+++ isc-dhcp-4.2.2/server/ddns.c
@@ -80,7 +80,6 @@
 	struct option_cache *oc;
 	int s1, s2;
 	int result = 0;
-	isc_result_t rcode1 = ISC_R_SUCCESS;
 	int server_updates_a = 1;
 	//int server_updates_ptr = 1;
 	struct buffer *bp = (struct buffer *)0;
@@ -524,7 +523,7 @@
 	 * the ddns messages.  Currently we don't.
 	 */
 	if (do_remove) {
-		rcode1 = ddns_removals(lease, lease6, ddns_cb);
+		ddns_removals(lease, lease6, ddns_cb);
 	}
 	else {
 		ddns_fwd_srv_connector(lease, lease6, scope, ddns_cb,
only in patch2:
unchanged:
--- isc-dhcp-4.2.2.orig/server/dhcpv6.c
+++ isc-dhcp-4.2.2/server/dhcpv6.c
@@ -4617,7 +4617,6 @@
 	struct option_state *host_opt_state;
 	struct data_string iaaddr;
 	struct data_string fixed_addr;
-	int iaaddr_is_found;
 	char reply_data[65536];
 	struct dhcpv6_packet *reply = (struct dhcpv6_packet *)reply_data;
 	int reply_ofs = (int)(offsetof(struct dhcpv6_packet, options));
@@ -4724,7 +4723,6 @@
 	 */
 	for (ia = lookup_option(&dhcpv6_universe, packet->options, D6O_IA_NA);
 	     ia != NULL; ia = ia->next) {
-	     	iaaddr_is_found = 0;
 
 		if (!get_encapsulated_IA_state(&cli_enc_opt_state,
 					       &cli_enc_opt_data,
@@ -5136,7 +5134,6 @@
 	struct host_decl *host;
 	struct option_state *host_opt_state;
 	struct data_string iaprefix;
-	int iaprefix_is_found;
 	char reply_data[65536];
 	int reply_ofs;
 	struct iasubopt *prefix;
@@ -5203,7 +5200,6 @@
 	 */
 	for (ia = lookup_option(&dhcpv6_universe, packet->options, D6O_IA_PD);
 	     ia != NULL; ia = ia->next) {
-	    iaprefix_is_found = 0;
 
 	    if (!get_encapsulated_IA_state(&cli_enc_opt_state,
 					   &cli_enc_opt_data,
only in patch2:
unchanged:
--- isc-dhcp-4.2.2.orig/server/db.c
+++ isc-dhcp-4.2.2/server/db.c
@@ -1013,13 +1013,12 @@
 void db_startup (testp)
 	int testp;
 {
-	isc_result_t status;
 
 #if defined (TRACING)
 	if (!trace_playback ()) {
 #endif
 		/* Read in the existing lease file... */
-		status = read_conf_file (path_dhcpd_db,
+		read_conf_file (path_dhcpd_db,
 					 (struct group *)0, 0, 1);
 		/* XXX ignore status? */
 #if defined (TRACING)
only in patch2:
unchanged:
--- isc-dhcp-4.2.2.orig/server/bootp.c
+++ isc-dhcp-4.2.2/server/bootp.c
@@ -42,7 +42,6 @@
 void bootp (packet)
 	struct packet *packet;
 {
-	int result;
 	struct host_decl *hp = (struct host_decl *)0;
 	struct host_decl *host = (struct host_decl *)0;
 	struct packet outgoing;
@@ -384,7 +383,7 @@
 		to.sin_port = local_port;
 
 		if (fallback_interface) {
-			result = send_packet (fallback_interface,
+			send_packet (fallback_interface,
 					      (struct packet *)0,
 					      &raw, outgoing.packet_length,
 					      from, &to, &hto);
@@ -407,7 +406,7 @@
 	}
 
 	errno = 0;
-	result = send_packet (packet -> interface,
+	send_packet (packet -> interface,
 			      packet, &raw, outgoing.packet_length,
 			      from, &to, &hto);
       out:
only in patch2:
unchanged:
--- isc-dhcp-4.2.2.orig/includes/cdefs.h
+++ isc-dhcp-4.2.2/includes/cdefs.h
@@ -52,8 +52,7 @@
 #else
 #define IGNORE_RET(x)			\
 	do {				\
-		int ignore_return;	\
-		ignore_return = x;	\
+		x;			\
 	} while (0)
 #endif
 


----- End forwarded message -----




Reply sent to Andrew Pollock <apollock@debian.org>:
You have marked Bug as forwarded. (Tue, 25 Oct 2011 06:51:05 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from Andrew Pollock <apollock@debian.org> to control@bugs.debian.org. (Sun, 20 Nov 2011 05:00:07 GMT) Full text and rfc822 format available.

Reply sent to Andrew Pollock <apollock@debian.org>:
You have taken responsibility. (Sun, 08 Jan 2012 04:21:08 GMT) Full text and rfc822 format available.

Notification sent to Didier Raboud <odyx@debian.org>:
Bug acknowledged by developer. (Sun, 08 Jan 2012 04:21:08 GMT) Full text and rfc822 format available.

Message #27 received at 643470-close@bugs.debian.org (full text, mbox):

From: Andrew Pollock <apollock@debian.org>
To: 643470-close@bugs.debian.org
Subject: Bug#643470: fixed in isc-dhcp 4.2.2-2
Date: Sun, 08 Jan 2012 04:17:30 +0000
Source: isc-dhcp
Source-Version: 4.2.2-2

We believe that the bug you reported is fixed in the latest version of
isc-dhcp, which is due to be installed in the Debian FTP archive:

dhcp3-client_4.2.2-2_all.deb
  to main/i/isc-dhcp/dhcp3-client_4.2.2-2_all.deb
dhcp3-common_4.2.2-2_all.deb
  to main/i/isc-dhcp/dhcp3-common_4.2.2-2_all.deb
dhcp3-dev_4.2.2-2_all.deb
  to main/i/isc-dhcp/dhcp3-dev_4.2.2-2_all.deb
dhcp3-relay_4.2.2-2_all.deb
  to main/i/isc-dhcp/dhcp3-relay_4.2.2-2_all.deb
dhcp3-server_4.2.2-2_all.deb
  to main/i/isc-dhcp/dhcp3-server_4.2.2-2_all.deb
isc-dhcp-client-dbg_4.2.2-2_amd64.deb
  to main/i/isc-dhcp/isc-dhcp-client-dbg_4.2.2-2_amd64.deb
isc-dhcp-client-udeb_4.2.2-2_amd64.udeb
  to main/i/isc-dhcp/isc-dhcp-client-udeb_4.2.2-2_amd64.udeb
isc-dhcp-client_4.2.2-2_amd64.deb
  to main/i/isc-dhcp/isc-dhcp-client_4.2.2-2_amd64.deb
isc-dhcp-common_4.2.2-2_amd64.deb
  to main/i/isc-dhcp/isc-dhcp-common_4.2.2-2_amd64.deb
isc-dhcp-dev_4.2.2-2_amd64.deb
  to main/i/isc-dhcp/isc-dhcp-dev_4.2.2-2_amd64.deb
isc-dhcp-relay-dbg_4.2.2-2_amd64.deb
  to main/i/isc-dhcp/isc-dhcp-relay-dbg_4.2.2-2_amd64.deb
isc-dhcp-relay_4.2.2-2_amd64.deb
  to main/i/isc-dhcp/isc-dhcp-relay_4.2.2-2_amd64.deb
isc-dhcp-server-dbg_4.2.2-2_amd64.deb
  to main/i/isc-dhcp/isc-dhcp-server-dbg_4.2.2-2_amd64.deb
isc-dhcp-server-ldap_4.2.2-2_amd64.deb
  to main/i/isc-dhcp/isc-dhcp-server-ldap_4.2.2-2_amd64.deb
isc-dhcp-server_4.2.2-2_amd64.deb
  to main/i/isc-dhcp/isc-dhcp-server_4.2.2-2_amd64.deb
isc-dhcp_4.2.2-2.diff.gz
  to main/i/isc-dhcp/isc-dhcp_4.2.2-2.diff.gz
isc-dhcp_4.2.2-2.dsc
  to main/i/isc-dhcp/isc-dhcp_4.2.2-2.dsc



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 643470@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Andrew Pollock <apollock@debian.org> (supplier of updated isc-dhcp package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sat, 19 Nov 2011 21:37:24 -0800
Source: isc-dhcp
Binary: isc-dhcp-server isc-dhcp-server-dbg isc-dhcp-server-ldap isc-dhcp-common isc-dhcp-dev isc-dhcp-client isc-dhcp-client-dbg isc-dhcp-client-udeb isc-dhcp-relay isc-dhcp-relay-dbg dhcp3-server dhcp3-client dhcp3-relay dhcp3-common dhcp3-dev
Architecture: source amd64 all
Version: 4.2.2-2
Distribution: unstable
Urgency: low
Maintainer: Debian ISC DHCP maintainers <pkg-dhcp-devel@lists.alioth.debian.org>
Changed-By: Andrew Pollock <apollock@debian.org>
Description: 
 dhcp3-client - ISC DHCP client (transitional package)
 dhcp3-common - ISC DHCP common files (transitional package)
 dhcp3-dev  - ISC DHCP development files (transitional package)
 dhcp3-relay - ISC DHCP relay (transitional package)
 dhcp3-server - ISC DHCP server (transitional package)
 isc-dhcp-client - ISC DHCP client
 isc-dhcp-client-dbg - ISC DHCP client (debugging symbols)
 isc-dhcp-client-udeb - ISC DHCP Client for debian-installer (udeb)
 isc-dhcp-common - common files used by all the isc-dhcp* packages
 isc-dhcp-dev - API for accessing and modifying the DHCP server and client state
 isc-dhcp-relay - ISC DHCP relay daemon
 isc-dhcp-relay-dbg - DHCP relay daemon (debugging symbols)
 isc-dhcp-server - ISC DHCP server for automatic IP address assignment
 isc-dhcp-server-dbg - ISC DHCP server for automatic IP address assignment (debug)
 isc-dhcp-server-ldap - DHCP server able to use LDAP as backend
Closes: 611192 641843 643470 645502 648140 648676
Changes: 
 isc-dhcp (4.2.2-2) unstable; urgency=low
 .
   * debian/rules: use dpkg-buildflags to set CFLAGS, and export CFLAGS (closes:
     #643470)
   * debian/dhclient.conf: revert hostname setting behaviour to something
     equivalent to what upstream ships to avoid surprising people with unwanted
     hostname changes when changing networks (closes: #648676)
   * debian/dhclient-script.kfreebsd: apply patch from Robert Millan to resync
     dhclient-script with FreeBSD version (closes: #645502)
   * debian/control: add inetutils-ping to the dependencies for isc-dhcp-client
     on kfreebsd (closes: #648140)
   * Updated German debconf template translation (closes: #641843)
   * added harding-wrapper to build dependencies and invoke it in debian/rules
     (closes: #611192)
Checksums-Sha1: 
 5ebc42a47980a16f2481847dbad03cd355a8af6f 2712 isc-dhcp_4.2.2-2.dsc
 444c5c9749629bd6c47c43cc5917aeccb086ab76 86333 isc-dhcp_4.2.2-2.diff.gz
 71b6ddce807b70adb2875907cb3076bd8310557b 935332 isc-dhcp-server_4.2.2-2_amd64.deb
 f08cfe5179226ffbb30a280f2a369076c947688e 1880932 isc-dhcp-server-dbg_4.2.2-2_amd64.deb
 64fc7b83562d51ba98df718710ebf0f6dc650bf6 892418 isc-dhcp-server-ldap_4.2.2-2_amd64.deb
 4c008ac619d282a5024b3b0f23c42164d2bfec4a 854108 isc-dhcp-common_4.2.2-2_amd64.deb
 a0555ff03620d72e0f806c396aba08c03904c1ab 721150 isc-dhcp-dev_4.2.2-2_amd64.deb
 d0c608977f5eebb4de81a0940099661e9b9a7ccd 793704 isc-dhcp-client_4.2.2-2_amd64.deb
 5052790720c9832df0155da957d11de0ac9a8ca7 1658020 isc-dhcp-client-dbg_4.2.2-2_amd64.deb
 51d6a226de77ef637ac2979ac6eb9058fdc7361c 739150 isc-dhcp-client-udeb_4.2.2-2_amd64.udeb
 d8bd36d47102e9787cbb9c6f0091ec2086cd54bd 734192 isc-dhcp-relay_4.2.2-2_amd64.deb
 7326258af221f2772a4369180e7a5f501a3dde77 1602890 isc-dhcp-relay-dbg_4.2.2-2_amd64.deb
 796fa1fe06159aaf967599189173c6bea4a99bbe 27236 dhcp3-server_4.2.2-2_all.deb
 d35afcdbd435f6f7c3594c4e7aed8f3a4a03eb6f 26896 dhcp3-client_4.2.2-2_all.deb
 a2cfbdf848614a2060f73add9b0a169b8eea678e 26944 dhcp3-relay_4.2.2-2_all.deb
 cca233cfc68e19d6cd153794ab9045a04e43000b 26358 dhcp3-common_4.2.2-2_all.deb
 fc6465e6eacc70cbe830a7b551364ee8e7a788f2 26408 dhcp3-dev_4.2.2-2_all.deb
Checksums-Sha256: 
 70f18217d03c646357c9e1efc49be7b5d5220e540b12d0a583d47619bb015c8b 2712 isc-dhcp_4.2.2-2.dsc
 47acc0b3ed268863fd9aceea624a7004121a7f9b9218827cdc01fbf555ad726a 86333 isc-dhcp_4.2.2-2.diff.gz
 2cc52d58ed8db100b5564f9de051bb4f1a8270509b621823345d7684f460b998 935332 isc-dhcp-server_4.2.2-2_amd64.deb
 ef20300cc5e902a9e0b5489745b39602e6b2512235b0f95f64a1950152b8aa42 1880932 isc-dhcp-server-dbg_4.2.2-2_amd64.deb
 850099e442f153470bddc80d1016983057ac8699c64bc7f27fbaf4b4ac03c3e0 892418 isc-dhcp-server-ldap_4.2.2-2_amd64.deb
 502b80db4dd7e7c1a64ccceed9fbf1a263ba0ba41cb1170f02c2c79cb418d9b7 854108 isc-dhcp-common_4.2.2-2_amd64.deb
 51167b07e80964a7b8ed7563cd24c275501c4b0eff214ac97f75560ee161439e 721150 isc-dhcp-dev_4.2.2-2_amd64.deb
 7419fa9d8214a7ef327fdc3cdbe111639cad0e433bcc4d6dd2c915902a1f20c3 793704 isc-dhcp-client_4.2.2-2_amd64.deb
 76866dffc7121040432eb091d4ec1b5eae42e129615df7d1429cc75ce4ebed49 1658020 isc-dhcp-client-dbg_4.2.2-2_amd64.deb
 1b924221c8518d4e78bb5393e92e4eb740853e61f1e3e0084efd483e034e3381 739150 isc-dhcp-client-udeb_4.2.2-2_amd64.udeb
 8ce3092eb199a5d0669151b05a53a9dfedf0d05198b4f2d565a4cc92d82eaa60 734192 isc-dhcp-relay_4.2.2-2_amd64.deb
 1fba56ed7cd9f5d7a5a6234a41c16670810fc970d0054b6e9e5d8854e5177ab1 1602890 isc-dhcp-relay-dbg_4.2.2-2_amd64.deb
 0405e7528386eb79fd6a314c2dd6bb6ca23ba1787c356622c5431fdf890f2a97 27236 dhcp3-server_4.2.2-2_all.deb
 58ffc5cbdf8b2d88e84f770e59ab60c4df0e666ffbedc783d82f8acbb70eae73 26896 dhcp3-client_4.2.2-2_all.deb
 c08ad32fe99dd5d156f2b48f1592b06dc29422fd61fe6de441400ffec80f9e5c 26944 dhcp3-relay_4.2.2-2_all.deb
 fdbb49673b097223ad2698e8507688cc56ef2d9deb6c3b26348350e1c04fdb26 26358 dhcp3-common_4.2.2-2_all.deb
 76d7ac16d2bbc25383198d1409f5725509002b5e21a02309cde4250d04d182eb 26408 dhcp3-dev_4.2.2-2_all.deb
Files: 
 21926eeec65d8c725d1ba85fe4ffd4d0 2712 net important isc-dhcp_4.2.2-2.dsc
 f9771e12b14bc20070a564b8fe385002 86333 net important isc-dhcp_4.2.2-2.diff.gz
 e7d30aafb14d7c43318b90b459fd9d15 935332 net optional isc-dhcp-server_4.2.2-2_amd64.deb
 6a99aac3fcc51bc8a066deef953c3b6e 1880932 debug extra isc-dhcp-server-dbg_4.2.2-2_amd64.deb
 22d072590a241ab9c64b1c1ffe10b76d 892418 net optional isc-dhcp-server-ldap_4.2.2-2_amd64.deb
 4cb1c825385388ce03acfe5f0479dfc3 854108 net important isc-dhcp-common_4.2.2-2_amd64.deb
 de5f998d831a9e6821875b9814c27092 721150 devel optional isc-dhcp-dev_4.2.2-2_amd64.deb
 f85f46bdc69570d324a806345d3a6aca 793704 net important isc-dhcp-client_4.2.2-2_amd64.deb
 e0ada7cbce14dc2157c8a368b7c3a73b 1658020 debug extra isc-dhcp-client-dbg_4.2.2-2_amd64.deb
 f1b7c8d0e4b7ec4bdc5b8ed31699c337 739150 debian-installer extra isc-dhcp-client-udeb_4.2.2-2_amd64.udeb
 8299ba77562daac3dacbcf683e559457 734192 net optional isc-dhcp-relay_4.2.2-2_amd64.deb
 0d4158f79d9599926de69aafae7f62aa 1602890 debug extra isc-dhcp-relay-dbg_4.2.2-2_amd64.deb
 6a44c3198fc7b9c5038620cb46f8c08f 27236 oldlibs extra dhcp3-server_4.2.2-2_all.deb
 92dab03fa364fbef5012f6c6a0c18767 26896 oldlibs extra dhcp3-client_4.2.2-2_all.deb
 63372e6f06f5356d7fbab601a6f10201 26944 oldlibs extra dhcp3-relay_4.2.2-2_all.deb
 bed09c226cc94f964f8cd63cfc133b88 26358 oldlibs extra dhcp3-common_4.2.2-2_all.deb
 f745a1664f91aaf0680450517648b98a 26408 oldlibs extra dhcp3-dev_4.2.2-2_all.deb
Package-Type: udeb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iQIcBAEBAgAGBQJPCRZlAAoJEFHf2Ts++3nv4LYP/3Hbc/VKg0ApWVCoPp9bGd+5
CRXiyn8f2nE4nIyo8MB+VuothEXHAm96AhAE8ZhsHnKlQKP6GN0uZCFeF/Do6VDb
AfuLiTX3eRpZ9ryjNujgX+Y+ElDeQPH3VWJrh15357LJKKbX/HVXlMJ0mEA1U5BK
73JLxt5leRIWn4knCRQwfCeAUXA/f9JutWMSRmua+K43JIp3CD8By4emRA31+gdO
UPXcA3jTgX3MwVN5nXWFM3dL/vuUPVSCgbYqI4QtSVZYp59WlT6liqgR+nevVrAl
d/OxOkXEyvveUOMtJxo4Hk+y+Y0VyJft6gr0oUyBkTIA2eSzx2fNSBofWhrVyfMt
ZU3oOlG5qgONHRuN0DlToVFArOhcqH3vAqMxO933zUW4dqBObMlkVZXbgn52swzP
vsFQs1+ZbseopCfphyg0REEJic9PWfDW0oauXvBKobYQz/9Z2JF+tCyILBlskaP6
MDK2mEhkqoUUp5N4p5DfG7KcaTxnFw+/5q60S8Lek/wUsfwV3zC7IOAlJly2oJCa
5Ev7+o4tsBIeIBjFaERyH5dAeXAL3lWZ7Rz8ul28O2Ole2RhLbZFvKsKWs4r35GN
+rZeJKmdLbr6YbkhoHiWEBaSIecFfcIJH4QRHt+pLN4k3yW7J2f89lobNK5031ja
Glrz3RWxxqm8GZG6erGb
=kFy0
-----END PGP SIGNATURE-----





Information forwarded to debian-bugs-dist@lists.debian.org, Debian ISC DHCP maintainers <pkg-dhcp-devel@lists.alioth.debian.org>:
Bug#643470; Package src:isc-dhcp. (Sun, 08 Jan 2012 22:45:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Christoph Egger <christoph@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian ISC DHCP maintainers <pkg-dhcp-devel@lists.alioth.debian.org>. (Sun, 08 Jan 2012 22:45:03 GMT) Full text and rfc822 format available.

Message #32 received at 643470@bugs.debian.org (full text, mbox):

From: Christoph Egger <christoph@debian.org>
To: 643470@bugs.debian.org
Subject: Still failing
Date: Sun, 08 Jan 2012 23:43:18 +0100
found  643569 4.2.2-2
bye

Hi!

Still failing the same way on kfreebsd. See
https://buildd.debian.org/status/fetch.php?pkg=isc-dhcp&arch=kfreebsd-amd64&ver=4.2.2-2&stamp=1325997447

Regards

    Christoph

-- 
9FED 5C6C E206 B70A 5857  70CA 9655 22B9 D49A E731
Debian Developer | Lisp Hacker | CaCert Assurer




Information forwarded to debian-bugs-dist@lists.debian.org, Debian ISC DHCP maintainers <pkg-dhcp-devel@lists.alioth.debian.org>:
Bug#643470; Package src:isc-dhcp. (Thu, 12 Jan 2012 05:57:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andrew Pollock <apollock@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian ISC DHCP maintainers <pkg-dhcp-devel@lists.alioth.debian.org>. (Thu, 12 Jan 2012 05:57:03 GMT) Full text and rfc822 format available.

Message #37 received at 643470@bugs.debian.org (full text, mbox):

From: Andrew Pollock <apollock@debian.org>
To: Christoph Egger <christoph@debian.org>, 643470@bugs.debian.org
Subject: Re: [pkg-dhcp-devel] Bug#643470: Still failing
Date: Wed, 11 Jan 2012 21:44:15 -0800
[Message part 1 (text/plain, inline)]
On Sun, Jan 08, 2012 at 11:43:18PM +0100, Christoph Egger wrote:
> found  643569 4.2.2-2
> bye
> 
> Hi!
> 
> Still failing the same way on kfreebsd. See
> https://buildd.debian.org/status/fetch.php?pkg=isc-dhcp&arch=kfreebsd-amd64&ver=4.2.2-2&stamp=1325997447
> 

Agreed that it's still failing, but this looks like #643569, not #643470,
don't you agree?

I can see plenty of unused-but-set-variable warnings in the build log you're
referring to, but I don't see them being fatal. I do see the "redefinition
of 'struct in6_pktinfo'" error being fatal.

If you concur, I'd like to mark this bug as notfound in 4.2.2-2

regards

Andrew
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian ISC DHCP maintainers <pkg-dhcp-devel@lists.alioth.debian.org>:
Bug#643470; Package src:isc-dhcp. (Fri, 17 Feb 2012 19:33:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to peter green <plugwash@p10link.net>:
Extra info received and forwarded to list. Copy sent to Debian ISC DHCP maintainers <pkg-dhcp-devel@lists.alioth.debian.org>. (Fri, 17 Feb 2012 19:33:03 GMT) Full text and rfc822 format available.

Message #42 received at 643470@bugs.debian.org (full text, mbox):

From: peter green <plugwash@p10link.net>
To: 643470@bugs.debian.org, 643569@bugs.debian.org, 645760@bugs.debian.org
Subject: Status of isc-dhcp-client
Date: Fri, 17 Feb 2012 19:29:19 +0000
Currently, the version of isc-dhcp-client in unstable suffers two rc 
bugs, a FTBFS bug ( 643569 ) and a non-free IETF documents bug ( 645760 
) both related to embedded bind source.

Furthermore isc-dhcp-client FTBFS in testing due to bug 643470 (which is 
fixed in unstable).

It has been a month since the lastest post to any of these bug reports

Is there any progress on solving these issues in a clean manner? It 
seems the ideal soloution is to stop embedding bind at all (but that 
requires changes on the bind side) and second best would be for upstream 
to make a new upstream release of isc-dhcp-client with an updated bind 
tarball....

If not would you consider applying the quick and dirty soloution of 
simply repacking the upstream tarball to contain a fixed bind tarball?




Information forwarded to debian-bugs-dist@lists.debian.org, Debian ISC DHCP maintainers <pkg-dhcp-devel@lists.alioth.debian.org>:
Bug#643470; Package src:isc-dhcp. (Sun, 19 Feb 2012 21:24:20 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andrew Pollock <apollock@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian ISC DHCP maintainers <pkg-dhcp-devel@lists.alioth.debian.org>. (Sun, 19 Feb 2012 21:24:37 GMT) Full text and rfc822 format available.

Message #47 received at 643470@bugs.debian.org (full text, mbox):

From: Andrew Pollock <apollock@debian.org>
To: peter green <plugwash@p10link.net>, 643470@bugs.debian.org
Cc: 643569@bugs.debian.org, 645760@bugs.debian.org
Subject: Re: [pkg-dhcp-devel] Bug#643470: Status of isc-dhcp-client
Date: Sun, 19 Feb 2012 13:22:27 -0800
[Message part 1 (text/plain, inline)]
On Fri, Feb 17, 2012 at 07:29:19PM +0000, peter green wrote:
> Currently, the version of isc-dhcp-client in unstable suffers two rc  
> bugs, a FTBFS bug ( 643569 ) and a non-free IETF documents bug ( 645760  
> ) both related to embedded bind source.
>
> Furthermore isc-dhcp-client FTBFS in testing due to bug 643470 (which is  
> fixed in unstable).
>
> It has been a month since the lastest post to any of these bug reports
>
> Is there any progress on solving these issues in a clean manner? It  
> seems the ideal soloution is to stop embedding bind at all (but that  
> requires changes on the bind side) and second best would be for upstream  
> to make a new upstream release of isc-dhcp-client with an updated bind  
> tarball....
>
> If not would you consider applying the quick and dirty soloution of  
> simply repacking the upstream tarball to contain a fixed bind tarball?
>

Hello,

I have been working with upstream on addressing both of these issues, and I
am hopeful that the 4.2.4 release, which is due in the next couple of
months, to address these issues. I'm waiting to see how much better that
release looks.

regards

Andrew
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian ISC DHCP maintainers <pkg-dhcp-devel@lists.alioth.debian.org>:
Bug#643470; Package src:isc-dhcp. (Sun, 19 Feb 2012 21:36:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien Cristau <jcristau@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian ISC DHCP maintainers <pkg-dhcp-devel@lists.alioth.debian.org>. (Sun, 19 Feb 2012 21:36:03 GMT) Full text and rfc822 format available.

Message #52 received at 643470@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: Andrew Pollock <apollock@debian.org>, 643470@bugs.debian.org
Cc: peter green <plugwash@p10link.net>, 643569@bugs.debian.org, 645760@bugs.debian.org
Subject: Re: Bug#643470: [pkg-dhcp-devel] Bug#643470: Status of isc-dhcp-client
Date: Sun, 19 Feb 2012 22:33:52 +0100
[Message part 1 (text/plain, inline)]
On Sun, Feb 19, 2012 at 13:22:27 -0800, Andrew Pollock wrote:

> I have been working with upstream on addressing both of these issues, and I
> am hopeful that the 4.2.4 release, which is due in the next couple of
> months, to address these issues. I'm waiting to see how much better that
> release looks.
> 
Hrm.  I'd very much appreciate a fix in sid sooner than "next couple of
months", if possible.  At least for the ftbfs.

Cheers,
Julien
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian ISC DHCP maintainers <pkg-dhcp-devel@lists.alioth.debian.org>:
Bug#643470; Package src:isc-dhcp. (Sun, 19 Feb 2012 23:06:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to peter green <plugwash@p10link.net>:
Extra info received and forwarded to list. Copy sent to Debian ISC DHCP maintainers <pkg-dhcp-devel@lists.alioth.debian.org>. (Sun, 19 Feb 2012 23:06:03 GMT) Full text and rfc822 format available.

Message #57 received at 643470@bugs.debian.org (full text, mbox):

From: peter green <plugwash@p10link.net>
To: Andrew Pollock <apollock@debian.org>
Cc: 643470@bugs.debian.org, 643569@bugs.debian.org, 645760@bugs.debian.org
Subject: Re: [pkg-dhcp-devel] Bug#643470: Status of isc-dhcp-client
Date: Sun, 19 Feb 2012 23:03:17 +0000
> Hello,
>
> I have been working with upstream on addressing both of these issues, and I
> am hopeful that the 4.2.4 release, which is due in the next couple of
> months, to address these issues. I'm waiting to see how much better that
> release looks.
>   
Speaking both as someone trying to get the armhf port into shape and 
more generally
we would really like to get the rc bugs fixed sooner than "the next 
couple of months".
Especially as 4.1.1-P1-17 (in testing) has a FTBFS bug on all 
architectures so we
can't do a binnmu in testing.

I have prepared a NMU to fix the rc bugs in isc-dhcp-client by the most 
direct
approaches and was in the processor of discussing it's sponsorship to 
delayed/5
with Hector Oron (i'm not a dd yet) when I received your mail.

I appreciate the work I have put into this NMU will be thrown away when the
ultimate soloution of eliminating the embedded code copy is implemented
but I still thing the NMU is worth doing  so we can get armhf teting 
into shape
sooner rather than later.

The package I'm in the process of trying to get NMU'd is at

http://mentors.debian.net/package/isc-dhcp

Please tell me if you are happy with the NMU so I can upload it promptly.
Alternatively if you have problems with the NMU then please point them
out to me so I can prepare a fixed NMU.

Until/unless I get a response I plan to go through with the plan of a  NMU
to delayed/5.






Information forwarded to debian-bugs-dist@lists.debian.org, Debian ISC DHCP maintainers <pkg-dhcp-devel@lists.alioth.debian.org>:
Bug#643470; Package src:isc-dhcp. (Mon, 20 Feb 2012 05:21:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andrew Pollock <apollock@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian ISC DHCP maintainers <pkg-dhcp-devel@lists.alioth.debian.org>. (Mon, 20 Feb 2012 05:21:03 GMT) Full text and rfc822 format available.

Message #62 received at 643470@bugs.debian.org (full text, mbox):

From: Andrew Pollock <apollock@debian.org>
To: Julien Cristau <jcristau@debian.org>
Cc: 643470@bugs.debian.org, peter green <plugwash@p10link.net>, 643569@bugs.debian.org, 645760@bugs.debian.org
Subject: Re: Bug#643470: [pkg-dhcp-devel] Bug#643470: Status of isc-dhcp-client
Date: Sun, 19 Feb 2012 21:17:42 -0800
[Message part 1 (text/plain, inline)]
On Sun, Feb 19, 2012 at 10:33:52PM +0100, Julien Cristau wrote:
> On Sun, Feb 19, 2012 at 13:22:27 -0800, Andrew Pollock wrote:
> 
> > I have been working with upstream on addressing both of these issues, and I
> > am hopeful that the 4.2.4 release, which is due in the next couple of
> > months, to address these issues. I'm waiting to see how much better that
> > release looks.
> > 
> Hrm.  I'd very much appreciate a fix in sid sooner than "next couple of
> months", if possible.  At least for the ftbfs.

I just reviewed the most recent email I exchanged with the ISC product
manager, and she actually said "end of February", although she wasn't a
betting woman.

So let's wait until March 1 to take stock of the situation. If no 4.2.4
upstream release has been made by March 1, I will check in with them to get
an updated timeframe, and if it's anything more than a week or so, I'll
repack the tarball.
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian ISC DHCP maintainers <pkg-dhcp-devel@lists.alioth.debian.org>:
Bug#643470; Package src:isc-dhcp. (Mon, 20 Feb 2012 05:21:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andrew Pollock <apollock@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian ISC DHCP maintainers <pkg-dhcp-devel@lists.alioth.debian.org>. (Mon, 20 Feb 2012 05:21:05 GMT) Full text and rfc822 format available.

Message #67 received at 643470@bugs.debian.org (full text, mbox):

From: Andrew Pollock <apollock@debian.org>
To: peter green <plugwash@p10link.net>
Cc: 643470@bugs.debian.org, 643569@bugs.debian.org, 645760@bugs.debian.org
Subject: Re: [pkg-dhcp-devel] Bug#643470: Status of isc-dhcp-client
Date: Sun, 19 Feb 2012 21:19:53 -0800
[Message part 1 (text/plain, inline)]
On Sun, Feb 19, 2012 at 11:03:17PM +0000, peter green wrote:
>
>> Hello,
>>
>> I have been working with upstream on addressing both of these issues, and I
>> am hopeful that the 4.2.4 release, which is due in the next couple of
>> months, to address these issues. I'm waiting to see how much better that
>> release looks.
>>   
> Speaking both as someone trying to get the armhf port into shape and  
> more generally
> we would really like to get the rc bugs fixed sooner than "the next  
> couple of months".

See my other email. Turns out I was grossly generalising, and they're
targeting around the end of the month.

> Especially as 4.1.1-P1-17 (in testing) has a FTBFS bug on all  
> architectures so we
> can't do a binnmu in testing.
>
> I have prepared a NMU to fix the rc bugs in isc-dhcp-client by the most  
> direct
> approaches and was in the processor of discussing it's sponsorship to  
> delayed/5
> with Hector Oron (i'm not a dd yet) when I received your mail.
>
> I appreciate the work I have put into this NMU will be thrown away when the
> ultimate soloution of eliminating the embedded code copy is implemented
> but I still thing the NMU is worth doing  so we can get armhf teting  
> into shape
> sooner rather than later.
>
> The package I'm in the process of trying to get NMU'd is at
>
> http://mentors.debian.net/package/isc-dhcp
>
> Please tell me if you are happy with the NMU so I can upload it promptly.
> Alternatively if you have problems with the NMU then please point them
> out to me so I can prepare a fixed NMU.

How about you just send me a patch against what's in the Git repository (at
head)? I've got an unreleased 4.2.2-3 in there that I've been working on.

> Until/unless I get a response I plan to go through with the plan of a  NMU
> to delayed/5.
>
>
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian ISC DHCP maintainers <pkg-dhcp-devel@lists.alioth.debian.org>:
Bug#643470; Package src:isc-dhcp. (Mon, 20 Feb 2012 08:30:56 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien Cristau <jcristau@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian ISC DHCP maintainers <pkg-dhcp-devel@lists.alioth.debian.org>. (Mon, 20 Feb 2012 08:30:58 GMT) Full text and rfc822 format available.

Message #72 received at 643470@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: Andrew Pollock <apollock@debian.org>
Cc: 643470@bugs.debian.org, peter green <plugwash@p10link.net>, 643569@bugs.debian.org, 645760@bugs.debian.org
Subject: Re: Bug#643470: [pkg-dhcp-devel] Bug#643470: Status of isc-dhcp-client
Date: Mon, 20 Feb 2012 09:22:39 +0100
[Message part 1 (text/plain, inline)]
On Sun, Feb 19, 2012 at 21:17:42 -0800, Andrew Pollock wrote:

> I just reviewed the most recent email I exchanged with the ISC product
> manager, and she actually said "end of February", although she wasn't a
> betting woman.
> 
> So let's wait until March 1 to take stock of the situation. If no 4.2.4
> upstream release has been made by March 1, I will check in with them to get
> an updated timeframe, and if it's anything more than a week or so, I'll
> repack the tarball.

Sounds good, thanks Andrew.

Cheers,
Julien
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian ISC DHCP maintainers <pkg-dhcp-devel@lists.alioth.debian.org>:
Bug#643470; Package src:isc-dhcp. (Mon, 20 Feb 2012 10:30:13 GMT) Full text and rfc822 format available.

Acknowledgement sent to peter green <plugwash@p10link.net>:
Extra info received and forwarded to list. Copy sent to Debian ISC DHCP maintainers <pkg-dhcp-devel@lists.alioth.debian.org>. (Mon, 20 Feb 2012 10:30:16 GMT) Full text and rfc822 format available.

Message #77 received at 643470@bugs.debian.org (full text, mbox):

From: peter green <plugwash@p10link.net>
To: Andrew Pollock <apollock@debian.org>
Cc: Hector Oron <zumbi@debian.org>, 643470@bugs.debian.org, 643569@bugs.debian.org, 645760@bugs.debian.org
Subject: Re: [pkg-dhcp-devel] Bug#643470: Status of isc-dhcp-client
Date: Mon, 20 Feb 2012 10:28:13 +0000
[Message part 1 (text/plain, inline)]
Zumbi: please call off the NMU. I'm now in dialog with the maintainer.
> See my other email. Turns out I was grossly generalising, and they're
> targeting around the end of the month.
Good to hear there is progress with upstream.

Personally I'd rather see a non-rc buggy version in testing before a new
upstream version (potentially with new rc bugs) is introduced to unstable
but i'll let you make the final call as to whether to upload my work.
> How about you just send me a patch against what's in the Git repository (at
> head)? 
I've forward ported my changes to the head of your git repo. Patch is 
attatched.

Note that the patch doesn't contain the repack of the upstream tarball. 
(I don't
think diff can represent that). The repacked upstream tarball I prepared is
available from.

http://mentors.debian.net/debian/pool/main/i/isc-dhcp/isc-dhcp_4.2.2+dfsg.orig.tar.gz

The repacking process I used was basically

Unpack the isc-dhcp tarball
Unpack the embedded bind tarball
delete contrib/zkt/doc/rfc5011.txt doc/rfc and doc/draft
Repack the embedded bind tarball
delete the unpacked files from the bind tarball
Repack the isc-dhcp tarball

[isc-dhcp.patch (text/x-diff, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian ISC DHCP maintainers <pkg-dhcp-devel@lists.alioth.debian.org>:
Bug#643470; Package src:isc-dhcp. (Mon, 05 Mar 2012 09:51:14 GMT) Full text and rfc822 format available.

Acknowledgement sent to peter green <plugwash@p10link.net>:
Extra info received and forwarded to list. Copy sent to Debian ISC DHCP maintainers <pkg-dhcp-devel@lists.alioth.debian.org>. (Mon, 05 Mar 2012 09:51:23 GMT) Full text and rfc822 format available.

Message #82 received at 643470@bugs.debian.org (full text, mbox):

From: peter green <plugwash@p10link.net>
To: Andrew Pollock <apollock@debian.org>
Cc: Julien Cristau <jcristau@debian.org>, 643470@bugs.debian.org, 643569-quiet@bugs.debian.org, 645760-quiet@bugs.debian.org
Subject: Re: Bug#643470: [pkg-dhcp-devel] Bug#643470: Status of isc-dhcp-client
Date: Mon, 05 Mar 2012 09:48:48 +0000
> I just reviewed the most recent email I exchanged with the ISC product
> manager, and she actually said "end of February", although she wasn't a
> betting woman.
>
> So let's wait until March 1 to take stock of the situation. If no 4.2.4
> upstream release has been made by March 1, I will check in with them to get
> an updated timeframe, and if it's anything more than a week or so, I'll
> repack the tarball.
>   
It's now the 5th of match and still no new upstream release. Has any 
progress with
upstream been made?




Information forwarded to debian-bugs-dist@lists.debian.org, Debian ISC DHCP maintainers <pkg-dhcp-devel@lists.alioth.debian.org>:
Bug#643470; Package src:isc-dhcp. (Tue, 06 Mar 2012 05:39:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andrew Pollock <apollock@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian ISC DHCP maintainers <pkg-dhcp-devel@lists.alioth.debian.org>. (Tue, 06 Mar 2012 05:39:04 GMT) Full text and rfc822 format available.

Message #87 received at 643470@bugs.debian.org (full text, mbox):

From: Andrew Pollock <apollock@debian.org>
To: peter green <plugwash@p10link.net>
Cc: Julien Cristau <jcristau@debian.org>, 643470@bugs.debian.org, 643569-quiet@bugs.debian.org, 645760-quiet@bugs.debian.org
Subject: Re: Bug#643470: [pkg-dhcp-devel] Bug#643470: Status of isc-dhcp-client
Date: Mon, 5 Mar 2012 21:35:43 -0800
[Message part 1 (text/plain, inline)]
On Mon, Mar 05, 2012 at 09:48:48AM +0000, peter green wrote:
> 
> >I just reviewed the most recent email I exchanged with the ISC product
> >manager, and she actually said "end of February", although she wasn't a
> >betting woman.
> >
> >So let's wait until March 1 to take stock of the situation. If no 4.2.4
> >upstream release has been made by March 1, I will check in with them to get
> >an updated timeframe, and if it's anything more than a week or so, I'll
> >repack the tarball.
> It's now the 5th of match and still no new upstream release. Has any
> progress with
> upstream been made?
 
I'll check in with them tomorrow.
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian ISC DHCP maintainers <pkg-dhcp-devel@lists.alioth.debian.org>:
Bug#643470; Package src:isc-dhcp. (Wed, 07 Mar 2012 19:18:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andrew Pollock <apollock@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian ISC DHCP maintainers <pkg-dhcp-devel@lists.alioth.debian.org>. (Wed, 07 Mar 2012 19:18:03 GMT) Full text and rfc822 format available.

Message #92 received at 643470@bugs.debian.org (full text, mbox):

From: Andrew Pollock <apollock@debian.org>
To: peter green <plugwash@p10link.net>
Cc: Julien Cristau <jcristau@debian.org>, 643470@bugs.debian.org, 643569-quiet@bugs.debian.org, 645760-quiet@bugs.debian.org
Subject: Re: Bug#643470: [pkg-dhcp-devel] Bug#643470: Status of isc-dhcp-client
Date: Wed, 7 Mar 2012 11:15:03 -0800
[Message part 1 (text/plain, inline)]
On Mon, Mar 05, 2012 at 09:48:48AM +0000, peter green wrote:
> 
> >I just reviewed the most recent email I exchanged with the ISC product
> >manager, and she actually said "end of February", although she wasn't a
> >betting woman.
> >
> >So let's wait until March 1 to take stock of the situation. If no 4.2.4
> >upstream release has been made by March 1, I will check in with them to get
> >an updated timeframe, and if it's anything more than a week or so, I'll
> >repack the tarball.
> It's now the 5th of match and still no new upstream release. Has any
> progress with
> upstream been made?
 
I just heard back that they're running behind schedule by about a month, so
I'll proceed with making a release with a stripped tarball to address
#645760
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian ISC DHCP maintainers <pkg-dhcp-devel@lists.alioth.debian.org>:
Bug#643470; Package src:isc-dhcp. (Wed, 07 Mar 2012 20:33:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Robert Millan <rmh@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian ISC DHCP maintainers <pkg-dhcp-devel@lists.alioth.debian.org>. (Wed, 07 Mar 2012 20:33:05 GMT) Full text and rfc822 format available.

Message #97 received at 643470@bugs.debian.org (full text, mbox):

From: Robert Millan <rmh@debian.org>
To: Andrew Pollock <apollock@debian.org>, 643569-quiet@bugs.debian.org
Cc: peter green <plugwash@p10link.net>, Julien Cristau <jcristau@debian.org>, 643470@bugs.debian.org, 645760-quiet@bugs.debian.org
Subject: Re: Bug#643569: Bug#643470: [pkg-dhcp-devel] Bug#643470: Status of isc-dhcp-client
Date: Wed, 7 Mar 2012 21:28:48 +0100
El 7 de març de 2012 20:15, Andrew Pollock <apollock@debian.org> ha escrit:
> I just heard back that they're running behind schedule by about a month, so
> I'll proceed with making a release with a stripped tarball to address
> #645760

Please don't forget 643569.

-- 
Robert Millan




Information forwarded to debian-bugs-dist@lists.debian.org, Debian ISC DHCP maintainers <pkg-dhcp-devel@lists.alioth.debian.org>:
Bug#643470; Package src:isc-dhcp. (Wed, 07 Mar 2012 21:30:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andrew Pollock <apollock@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian ISC DHCP maintainers <pkg-dhcp-devel@lists.alioth.debian.org>. (Wed, 07 Mar 2012 21:30:05 GMT) Full text and rfc822 format available.

Message #102 received at 643470@bugs.debian.org (full text, mbox):

From: Andrew Pollock <apollock@debian.org>
To: Robert Millan <rmh@debian.org>
Cc: 643569-quiet@bugs.debian.org, peter green <plugwash@p10link.net>, Julien Cristau <jcristau@debian.org>, 643470@bugs.debian.org, 645760-quiet@bugs.debian.org
Subject: Re: Bug#643569: Bug#643470: [pkg-dhcp-devel] Bug#643470: Status of isc-dhcp-client
Date: Wed, 7 Mar 2012 13:26:49 -0800
[Message part 1 (text/plain, inline)]
On Wed, Mar 07, 2012 at 09:28:48PM +0100, Robert Millan wrote:
> El 7 de març de 2012 20:15, Andrew Pollock <apollock@debian.org> ha escrit:
> > I just heard back that they're running behind schedule by about a month, so
> > I'll proceed with making a release with a stripped tarball to address
> > #645760
> 
> Please don't forget 643569.

ACK. I'll get this patch in as well.
[signature.asc (application/pgp-signature, inline)]

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 22 Apr 2012 07:46:51 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 18:46:12 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.